summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--[-rwxr-xr-x]tests/triple-backref3
1 files changed, 2 insertions, 1 deletions
diff --git a/tests/triple-backref b/tests/triple-backref
index 27ab9a3d..167b8ac4 100755..100644
--- a/tests/triple-backref
+++ b/tests/triple-backref
@@ -8,11 +8,12 @@
# notice and this notice are preserved.
. "${srcdir=.}/init.sh"; path_prepend_ ../src
+require_timeout_
echo a > in || framework_failure_
fail=0
-grep -E '(.?)(.?)(.?)\3\2\1' in > out || fail=1
+timeout 10 grep -E '(.?)(.?)(.?)\3\2\1' in > out || fail=1
compare out in || fail=1
Exit $fail